import DDC

import System.Random

-- flash one letter randomly for a quarter of a second, once every few seconds

main = runDDC anim

anim = do
  blankEverything
  sequence_ $ map randomCommand rs

-- we'll run one of these every few seconds, and then drop back out again to
-- blackness

choices = [colorLetter LeftLetter red, colorLetter MiddleLetter green, colorLetter RightLetter blue]

randomTimes :: [Int]
randomTimes = take 19 $ randomRs (2000,6000) (mkStdGen 5749)
-- 20 = 120 / 6 -- thats the maximimum length allowed, so then drop some time

randomChoices :: [Int]
randomChoices = take 19 $ randomRs (0, (length choices) - 1) (mkStdGen 8)


rs = randomTimes `zip` randomChoices

randomCommand (t,cmd) = do
  choices !! cmd
  wait 250
  blankEverything
  wait t

