
import DDC
import Control.Monad

main = runDDC $ do
  blankEverything
  shuffleFill red
  shuffleFill green
  shuffleFill blue
  shuffleFill black
  return ()

shuffleFill color = do
  let bulbIDs = map (\(a,_,_,_) -> a) allLamps
  shuffledList <- shuffle bulbIDs
  forM_ shuffledList $ \lamp -> do
    colorLamp (SpecificLamp lamp) color
    wait 333

